incubator-yoko-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From "Alan D. Cabrera" <l...@toolazydogs.com>
Subject Re: Resolution on JDK Layering - Alan's Proposal? (WAS:RE: coding standard and logging )
Date Sat, 22 Apr 2006 20:19:10 GMT
If I can write an IDL file, compile it, put in my own Java Objects and 
have it run on Yoko, and do all of that under JDK14, I'm happy.  I want 
to be clear that I should be able to compile vanilla IDL files using JDK14.

If I want additional cool stuff like WS integration, I'll have to start 
using JDK15.  This seems reasonable to me.


Regards,
Alan

Mosur Ravi, Balaji wrote:
> Ok... Just to get a closure on this issue... 
>
> Can we all agree that if geronimo wants to webservice enable the corba
> endpoints it will work only with jdk 1.5(which I think Geronimo will
> eventually move to)...?
>
> Right now, in 1.4 it will use the yoko's orb & in 1.5 it could use the
> complete capability of yoko...
>
> - Balaji
>
> -----Original Message-----
> From: Dain Sundstrom [mailto:dain@iq80.com] 
> Sent: Wednesday, April 19, 2006 9:17 PM
> To: yoko-dev@incubator.apache.org
> Subject: Re: Resolution on JDK Layering - Alan's Proposal? (WAS:RE:
> coding standard and logging )
>
> On Apr 19, 2006, at 3:26 PM, Dain Sundstrom wrote:
>
>   
>> On Apr 19, 2006, at 2:39 PM, Sakala, Adinarayana wrote:
>>
>>     
>>> Btw, Does Geronimo support running in 1.5 VM today?
>>>       
>> It should if you pass the command line option:
>>
>> - 
>> Dorg.apache.geronimo.kernel.config.Marshaler=org.apache.geronimo.kerne
>>     
>
>   
>> l.config.xstream.XStreamConfigurationMarshaler
>>
>> Of course, CORBA doesn't work.
>>     
>
> Forgot to mention, you pass that flag when you *build* the server.
>
> -dain
>
>   


Mime
  • Unnamed multipart/alternative (inline, None, 0 bytes)
View raw message